comedi_loglevel
Prev | 5.4.5. Error reporting | Next

## Name

comedi_loglevel — change Comedilib logging properties

## Synopsis

    #include <comedilib.h>

`int comedi_loglevel(` | int loglevel`)`;

## Description

This function affects the output of debugging and error messages from Comedilib. By increasing the log level `loglevel`, additional debugging information will be printed. Error and debugging messages are printed to the standard error output stream `stderr`.

The default loglevel can be set by using the environment variable `COMEDI_LOGLEVEL`. The default log level is 1.

In order to conserve resources, some debugging information is disabled by default when Comedilib is compiled.

The meaning of the log levels is as follows:

Loglevel | Behavior
--- | ---
0 | Comedilib prints nothing.
1 | (default) Comedilib prints error messages when there is a self-consistency error (i.e., an internal bug.)
2 | Comedilib prints an error message when an invalid parameter is passed.
3 | Comedilib prints an error message whenever an error is generated in the Comedilib library or in the C library, when called by Comedilib.
4 | Comedilib prints a lot of junk.

## Return value

This function returns the previous log level.

Prev | Up | Next
comedi_errno | Home | comedi_perror